package com.dsic.gj_erp.service.jcsj.impl;

import com.dsic.gj_erp.bean.jcsj.DmDwxxp;
import com.dsic.gj_erp.mapper.jcsj.DmDwxxpMapper;
import com.github.jeffreyning.mybatisplus.service.MppServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class DmDwxxpService extends MppServiceImpl<DmDwxxpMapper, DmDwxxp> {

    @Transactional(rollbackFor = Exception.class)
    public void saveOrEdit(List<DmDwxxp> list){
        this.saveOrUpdateBatchByMultiId(list);
    }
    public void remove(DmDwxxp dwxxp){
        baseMapper.deleteByMultiId(dwxxp);
    }
}
